Bug 53853 - Anaconda fails to keep consistant keyboard layouts across console/X
Anaconda fails to keep consistant keyboard layouts across console/X
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-09-19 17:44 EDT by Zeke Harris
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-10-25 12:29:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Zeke Harris 2001-09-19 17:44:32 EDT
Description of Problem:
Anaconda doesn't use the same keyboard layout for console and X. Console is
configured consistant with the keyboard layout selection screen, while X is

Version-Release number of selected component (if applicable):

How Reproducible:

Steps to Reproduce:
1. Install using a different keyboard layout (I used tr_q-latin5) 
2. Console installer proceeds using correct layout, X installer does not.

Actual Results:
X uses keyboard layout other than the one chosen at keyboard selection

Expected Results:
console and X use same keyboard layout

Additional Information:
Possibly X bases keyboard layout on language?

XF86Config uses en as Xkbdlayout, even when in console it's using the
correct (tr_q-latin5) layout.
Comment 1 Brent Fox 2001-09-24 12:58:12 EDT
I'll look into this.
Comment 2 Brent Fox 2001-09-24 16:08:59 EDT
So, you're booting with a boot disk, right?  And you're doing a GUI install, but
if you go to a VC, then the keyboard settings aren't consistent?  Is that the
Comment 3 Brent Fox 2001-10-04 10:16:13 EDT
Any more info here?
Comment 4 Brent Fox 2001-10-15 12:22:39 EDT
Closing due to inactivity.  Please reopen if you have more information.
Comment 5 Zeke Harris 2001-10-15 16:44:03 EDT
yes, using boot disk. the console "select keyboard layout" sets correct keyboard
layout in /etc/sysconfig/keyboard, but GUI installer (and X, later on) are not
set correctly. /etc/X11/XF86config-4 says "Xkbdlayout "en"" or something like that.

I used English as the language, and tr_q-latin5 as the keyboard layout in
console mode.
Comment 6 Brent Fox 2001-10-25 12:29:34 EDT
As far as I can tell, this behavior has existed for quite a long time.
Comment 7 Brent Fox 2001-10-25 16:35:47 EDT
I've done some looking around, and I can't find the X keymap that corresponds to
the tr_q-latin5 for console mode.  This could be easily fixed if we only knew
what the right keymap was, but we don't know.  Marking as Wontfix.

Note You need to log in before you can comment on or make changes to this bug.